
QGIS Application - Bug report #10865

Regression: FeatureForm inactive for new feature when opened from Python

2014-07-10 08:12 AM - Bernhard Ströbl

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Forms

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19233

Description

The featureForm opened via iface.openFeatureForm(layer, feature) is inactive for new features, Regression from 2.2

To reproduce: Make any vector layer active and editable, then in Python console:

layer = iface.activeLayer()

feature = QgsFeature()

feature.initAttributes(layer.pendingFields().count())

iface.openFeatureForm(layer, feature)

=> form is all inactive

Associated revisions

Revision 11f197ee - 2014-07-10 11:59 PM - Jürgen Fischer

enable feature form on openFeatureForm on editable layer (fixes #10865)

Revision b53cab2b - 2014-07-11 09:01 AM - Jürgen Fischer

enable feature form on openFeatureForm on editable layer (fixes #10865)

History

#1 - 2014-07-10 08:13 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

#2 - 2014-07-10 02:12 PM - Matthias Kuhn

Not sure what's wrong and I'm lacking the time right now to look into it.

For the moment, please use the following method.

iface.vectorLayerTools().addFeature( layer )

It's a nicer option anyway as it allows you to specify default attributes and geometry.

#3 - 2014-07-10 02:59 PM - Jürgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"11f197ee5bd3792f333cd9c5b8b8de19e0e07fab".

#4 - 2014-07-10 10:43 PM - Bernhard Ströbl

Matthias Kuhn wrote:

Not sure what's wrong and I'm lacking the time right now to look into it.

For the moment, please use the following method.

[...]

It's a nicer option anyway as it allows you to specify default attributes and geometry.

I wasn't aware of this option. It's new in QGIS 2.2, so I would have to raise the minimum version of my plugin, will give it a try.

#5 - 2014-07-10 11:11 PM - Bernhard Ströbl

Jürgen Fischer wrote:

Fixed in changeset commit:"11f197ee5bd3792f333cd9c5b8b8de19e0e07fab".

Hi Jürgen,

fix works, thank you. Will this be backported to the bugfix release of 2.4?

#6 - 2014-08-14 02:16 AM - Jürgen Fischer

- Status changed from Closed to Reopened

- Assignee set to Matthias Kuhn

#7 - 2014-08-14 02:31 AM - Jürgen Fischer

- Status changed from Reopened to Closed

sorry for the noise
